// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDocumentScanner", targets: ["WebIdDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("11.0.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdDocumentScanner/12.0.1/WebIdDocumentScanner.framework-v12.0.1-SNAPSHOT-1294.zip",
            checksum: "ba76eb685ee113008cb840d42c4223c0e842ab12e67218cc769f94463acd2580"
        ),
        .target(
            name: "WebIdDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
